CAUDIUMCTL(1)

NAME
caudiumctl - control the Caudium WebServer

SYNOPSIS
caudiumctl start | stop | restart | reload

DESCRIPTION

This is a simple program modelled after the apachectl utility that serves the purpose of controlling the Caudium WebServer. With this program, the administrator can control, to some extent, the Caudium process state.

OPTIONS

•   start - start the server.

•   stop - stop the running server.

•   restart - restart the running server.

•   reload - reload the configuration of a running server.

CONFIG FILES

The configuration for this program is kept in the /etc/default/caudium file which is sourced by caudiumctl on startup. The administrator is able to set the following options in the file:

    caudiumhome - specifies the location of the Caudium WebServer

    pidfile - specifies the location of a file where Caudium stores its PID.

    wwwuser - specifies the user under which the Caudium WebServer will run.

    killallwww - if set to yes, then the script will kill all processes running as the user spcified in the wwwuser variable above.

SEE ALSO

caudium(8)